"use strict";
var __webpack_exports__ = {};
const e2e_namespaceObject = require("@tachybase/test/e2e");
e2e_namespaceObject.test.describe('variables with default value', ()=>{
    (0, e2e_namespaceObject.test)('current form', async (param)=>{
        let { page, mockPage, mockRecord } = param;
        const nocoPage = await mockPage(e2e_namespaceObject.formBlockDefaultValueTemplate).waitForInit();
        await mockRecord('general');
        await nocoPage.goto();
        await page.getByRole('button', {
            name: 'Add new'
        }).click();
        await page.getByLabel('block-item-CollectionField-general-form-general.m2oField0-m2oField0').getByTestId('select-object-single').click();
        await page.getByRole('option', {
            name: '1',
            exact: true
        }).click();
        await (0, e2e_namespaceObject.expect)(page.getByLabel('block-item-CollectionField-general-form-general.singleLineText-singleLineText').getByRole('textbox')).toHaveValue('1');
        await page.getByLabel('block-item-CollectionField-general-form-general.m2oField0-m2oField0').getByTestId('select-object-single').hover();
        await page.getByLabel('icon-close-select').click();
        await page.waitForTimeout(500);
        await (0, e2e_namespaceObject.expect)(page.getByLabel('block-item-CollectionField-general-form-general.singleLineText-singleLineText').getByRole('textbox')).toHaveValue('');
        await page.getByLabel('block-item-CollectionField-general-form-general.m2oField0-m2oField0').getByTestId('select-object-single').click();
        await page.getByRole('option', {
            name: '1',
            exact: true
        }).click();
        await (0, e2e_namespaceObject.expect)(page.getByLabel('block-item-CollectionField-general-form-general.singleLineText-singleLineText').getByRole('textbox')).toHaveValue('1');
    });
});
var __webpack_export_target__ = exports;
for(var __webpack_i__ in __webpack_exports__)__webpack_export_target__[__webpack_i__] = __webpack_exports__[__webpack_i__];
if (__webpack_exports__.__esModule) Object.defineProperty(__webpack_export_target__, '__esModule', {
    value: true
});
